/**
 * $Id: calendar.js 4512 2006-09-21 11:49:50Z slip $
 * @fileoverview southprojects Calendar widget. Include this file in your HTML page.
 * Includes southprojects Calendar modules: calendar-core.js, calendar-date-core.js, calendar-setup.js.
 *
 * <pre>
 * Copyright (c) 2006 by SouthProjects
 * http://www.southprojects.com
 * Santiago, Chile,
 * Version 1.2 Dec 2006.
 * All rights reserved.
 * </pre>
 */

/**
 * @private Get path to this script
 */

 
if (!window.southprojects || (southprojects && !southprojects.include)) {
	alert("You need to include southprojects.js file!");
} else {
	southprojects.calendarPath = southprojects.getPath("southprojects.CalendarWidget");
	
	// Include required scripts
	southprojects.Transport.include(southprojects.calendarPath + 'calendar-core.js', "southprojects.Calendar");
	southprojects.Transport.include(southprojects.calendarPath + 'calendar-date-core.js');
	southprojects.Transport.include(southprojects.calendarPath + 'calendar-setup.js');
}

window.calendar = null;		/**< global object that remembers the calendar */

// initialize the preferences object;
// embed it in a try/catch so we don't have any surprises
try {
	southprojects.Calendar.loadPrefs();
} catch(e) {};

southprojects.Utils.addEvent(window, 'load', southprojects.Utils.checkActivation);
